commit 95d404d85c53e4ab821ac28cbbbedf0d68cac8da
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Sep 15 22:49:29 2021

    libstdc++: Add missing constraint to std::span deduction guide [PR102280]
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/102280
            * include/std/span (span(Range&&)): Add constraint to deduction
            guide.
    
    (cherry picked from commit e67917f5df9d84f5aed3513b3931a82870d25135)

diff --git a/libstdc++-v3/include/std/span b/libstdc++-v3/include/std/span
index b44e3b9e9c7..86fe042e724 100644
--- a/libstdc++-v3/include/std/span
+++ b/libstdc++-v3/include/std/span
@@ -407,7 +407,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     span(_Iter, _End)
       -> span<remove_reference_t<iter_reference_t<_Iter>>>;
 
-  template<typename _Range>
+  template<ranges::contiguous_range _Range>
     span(_Range &&)
       -> span<remove_reference_t<ranges::range_reference_t<_Range&>>>;
 

